Bug 1557328 - Security hardened image doesn't have enough space for /var partition
Summary: Security hardened image doesn't have enough space for /var partition
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-image-elements
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z3
: 12.0 (Pike)
Assignee: RHOS Maint
QA Contact: Shai Revivo
URL:
Whiteboard:
Keywords: Triaged, ZStream
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-16 12:38 UTC by Yolanda Robla
Modified: 2018-09-17 13:16 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-08-20 12:59:02 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 12:59 UTC
OpenStack gerrit 553768 None None None 2018-03-16 12:38 UTC
OpenStack gerrit 555726 None None None 2018-04-10 13:31 UTC

Description Yolanda Robla 2018-03-16 12:38:10 UTC
Description of problem:

The overcloud-secure image was initially deployed with 7G for /var . It was enough for the initial tests, but the added content caused that it needs at least 7.3G
So we need to increase the size to 10G , to have enough space for the initial deploy, and also give more room into that partition

Comment 3 mlammon 2018-07-18 16:52:19 UTC
Install osp12 latest puddle: 2018-07-13.1
Environment:
openstack-tripleo-image-elements-7.0.5-1.el7ost.noarch
openstack-tripleo-common-7.6.13-1.el7ost.noarch

We can see the code updates:
sed -n '27p' /usr/share/tripleo-image-elements/overcloud-secure/block-device-default.yaml
        size: 10G

The DIB images size now at 23.
sed -n '45,48p' /usr/share/openstack-tripleo-common/image-yaml/overcloud-hardened-images.yaml
      DIB_MODPROBE_BLACKLIST: 'usb-storage cramfs freevxfs jffs2 hfs hfsplus squashfs udf vfat bluetooth'
      DIB_BOOTLOADER_DEFAULT_CMDLINE: 'nofb nomodeset vga=normal console=tty0 console=ttyS0,115200 audit=1 nousb'
      DIB_IMAGE_SIZE: '23'
      COMPRESS_IMAGE: '1'

Comment 5 errata-xmlrpc 2018-08-20 12:59:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.